=== debian/changelog ===
pyocd (0.36.0-3) unstable; urgency=medium

  * Patch out usage of importlib_resources (Closes: #1111880)

 -- Jakob Haufe <sur5r@debian.org>  Fri, 07 Nov 2025 22:25:32 +0100

pyocd (0.36.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove runtime dependenct on python3-pkg-resources (Closes: #1083580)
  * Clean better (Closes: #1046820)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 05 Feb 2025 22:09:36 +0100

pyocd (0.36.0-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  Trim trailing whitespace.
  Bump debhelper from old 11 to 13.
  Set debhelper-compat version in Build-Depends.

  [ Jakob Haufe ]
  * Adopt package (Closes: #976075)
  * Replace libusb_package by usb
  * Disable jlink entry point (Closes: #1062953)
  * Update d/copyright

 -- Jakob Haufe <sur5r@debian.org>  Wed, 20 Mar 2024 10:57:26 +0100

pyocd (0.36.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.36.0 (Closes: #917515)
  * add watch file
  * remove extraneous build-dependency on setuptools-scm-git-archive
    (Closes: #1050099)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Dec 2023 03:55:12 +0100
