=== debian/watch ===
Version: 5

Template: Github
Owner: pyocd
Project: pyOCD
UVersion-Mangle: s/(a|b|rc)/~$1/
