## pyocd 0.37.0

=== debian/changelog ===
pyocd (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0
  * Drop libusb replacement patch, no longer needed

 -- Jakob Haufe <sur5r@debian.org>  Tue, 10 Feb 2026 09:08:40 +0100
