=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pyocd
 Section: embedded
-Priority: optional
 Maintainer: Jakob Haufe <sur5r@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
+Build-Depends-Indep:
  dh-sequence-python3,
  python3,
  python3-docutils,
  python3-setuptools,
  python3-usb
-Standards-Version: 4.2.1
-Homepage: https://github.com/mbedmicro/pyOCD
+Standards-Version: 4.7.3
+Homepage: https://pyocd.io
 Vcs-Git: https://salsa.debian.org/debian/pyocd.git
 Vcs-Browser: https://salsa.debian.org/debian/pyocd
